# Folder

## Overview

The media folder is a way of organizing your media files.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                                                       | Summary                                             |
| ----------------------------------------------------------------------------- | --------------------------------------------------- |
| [Import media](#import-media)                                                 | Imports media file from local disk into workspace   |
| [Import media folder](#import-media-folder)                                   | Imports media folder from local disk into workspace |
| [Create media folder](#create-media-folder)                                   | Creates a new media folder                          |
| [Create media file](#create-media-file)                                       | Creates a new (empty) media file                    |
| [Create media Login Page](#create-media-login-page)                           | Creates login.html file                             |
| [Create media Web App Manifest](#create-media-web-app-manifest)               | Creates a manifest.json file                        |
| [Create media Head Index Contribution](#create-media-head-index-contribution) | Creates a head-index-contributions.html file        |
| [Rename](#rename)                                                             | Renames folder                                      |
| [Delete media](#delete-media)                                                 | Deletes folder                                      |

## Commands Details

The details for each command available on this item via right-click context menu:

### Import media

Imports media file (actually any type of file), from local disk into the Servoy solution. Can choose the file using OS File Chooser.

### Import media folder

Imports media folder and all files from it (any type of file), from local disk into the Servoy solution. Can choose the folder using OS Folder Chooser.

### Create media folder

Creates a new (empty) media folder, used to organize your files inside your solution.

### Create media file

Creates a new (empty) media file, can be any type of file (for later edit).

### Create media Login Page

Creates login.html file which will be used when showing the default login page for the solutions authenticator modes: DEFAULT, SERVOY\_CLOUD, AUTHENTICATOR.

### Create media Web App Manifest

Creates a manifest.json file which will be used for progressive web app (web applications that can be installed to the homescreen of a device without needing the user to go through an app store )

### Create media Head Index Contribution

Creates a head-index-contributions.html file which should contain meta tags to be added to the index.html file of the application. Can be used to configure Web Application for IPad/IPhone.

### Rename

Renames folder.

### Delete media

Deletes folder (and all its content) from workspace.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/media/folder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
